## mx4j.tools.remote.caucho.burlap
Class BurlapServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              mx4j.tools.remote.caucho.CauchoServlet
                  mx4j.tools.remote.caucho.burlap.BurlapServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  SSLBurlapServlet

public class BurlapServlet
extends CauchoServlet

Version:
  $
See Also:
  Serialized Form

Constructor Summary
`BurlapServlet()`

Method Summary
`protected CauchoInput` `createCauchoInput(java.io.InputStream stream)`
`protected CauchoOutput` `createCauchoOutput(java.io.OutputStream stream)`
`protected CauchoService` `createService()`
`void` `destroy()`
`protected java.lang.Object` `getService()`
`void` `init()`

Methods inherited from class mx4j.tools.remote.caucho.CauchoServlet
`findMethod, invoke, invoke, mangleMethodName, mapMethods, readArguments, readHeaders, service`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BurlapServlet

    public BurlapServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `CauchoServlet`
  Throws:
    `javax.servlet.ServletException`

### createService

    protected CauchoService createService()

### destroy

    public void destroy()

### getService

    protected java.lang.Object getService()

  Specified by:
    `getService` in class `CauchoServlet`

### createCauchoInput

    protected CauchoInput createCauchoInput(java.io.InputStream stream)

  Specified by:
    `createCauchoInput` in class `CauchoServlet`

### createCauchoOutput

    protected CauchoOutput createCauchoOutput(java.io.OutputStream stream)

  Specified by:
    `createCauchoOutput` in class `CauchoServlet`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.